Bug 232577

Summary: Web Inspector: Display swatch popovers below the swatch by default, not on the left side
Product: WebKit Reporter: Nikita Vasilyev <nvasilyev>
Component: Web InspectorAssignee: Nikita Vasilyev <nvasilyev>
Status: RESOLVED FIXED    
Severity: Normal CC: drousso, ews-watchlist, inspector-bugzilla-changes, pangle, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: All   
Attachments:
Description Flags
Patch
none
Patch none

Description Nikita Vasilyev 2021-11-01 13:10:34 PDT
The popover should be under (or above) the swatch, so it doesn't cover the CSS value it's related to.

More context in https://bugs.webkit.org/show_bug.cgi?id=230065#c4.
Comment 1 Nikita Vasilyev 2021-11-01 13:40:05 PDT
Created attachment 443007 [details]
Patch
Comment 2 Patrick Angle 2021-11-01 20:41:44 PDT
Comment on attachment 443007 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=443007&action=review

LGTM with the one suggestion to elaborate in the changelog.

> Source/WebInspectorUI/ChangeLog:8
> +        The new defaults are: below, above, left.

Can you just recap the thoughts behind these three choices in this order here (I'm pretty sure I understand all three, particularly since I pushed for Below to come before Above)? It would be nice if we can look back and understand our decisions unlike how we were somewhat left to wonder why the current defaults were the way they are.
Comment 3 Nikita Vasilyev 2021-11-02 22:57:22 PDT
Created attachment 443176 [details]
Patch
Comment 4 Devin Rousso 2021-11-03 10:35:40 PDT
Comment on attachment 443176 [details]
Patch

r=me
Comment 5 EWS 2021-11-03 10:47:16 PDT
Committed r285215 (243840@main): <https://commits.webkit.org/243840@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 443176 [details].
Comment 6 Radar WebKit Bug Importer 2021-11-03 10:48:18 PDT
<rdar://problem/84981718>